local L = PGFinderLocals

EnRT_FelhoundsSargerasOptions = CreateFrame("Frame", "EnRT_FelhoundsSargerasOptionsFrame", InterfaceOptionsFramePanelContainer)
EnRT_FelhoundsSargerasOptions.name = L.OPTIONS_FELHOUNDSSARGERAS_TILE
EnRT_FelhoundsSargerasOptions.parent = "|cFFFFFF00Antorus Modules"
EnRT_FelhoundsSargerasOptions:Hide()

local title = EnRT_FelhoundsSargerasOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOP", 0, -16)
title:SetText(L.OPTIONS_TITLE)
	
local tabinfo = EnRT_FelhoundsSargerasOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
tabinfo:SetPoint("TOPLEFT", 16, -16)
tabinfo:SetText(L.OPTIONS_FELHOUNDSSARGERAS_TILE)

local author = EnRT_FelhoundsSargerasOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
author:SetPoint("TOPLEFT", 450, -20)
author:SetText(L.OPTIONS_AUTHOR)

local version = EnRT_FelhoundsSargerasOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
version:SetPoint("TOPLEFT", author, "BOTTOMLEFT", 0, -10)
version:SetText(L.OPTIONS_VERSION)

local enabledButton = CreateFrame("CheckButton", "EnRT_FelhoundsSargerasEnabledCheckButton", EnRT_FelhoundsSargerasOptions, "OptionsCheckButtonTemplate")
enabledButton:SetSize(26, 26)
enabledButton:SetPoint("TOPLEFT", 30, -90)
enabledButton:HookScript("OnClick", function(self)
	if self:GetChecked() then
		EnRT_FelhoundsSargerasEnabled = true
		PlaySound(856)
	else
		EnRT_FelhoundsSargerasEnabled = false
		PlaySound(857)
	end
end)

local enabledText = EnRT_FelhoundsSargerasOptions:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
enabledText:SetPoint("TOPLEFT", enabledButton, "TOPLEFT", 30, -7)
enabledText:SetText(L.OPTIONS_ENABLED)


EnRT_FelhoundsSargerasOptions:SetScript("OnShow", function(self)
	enabledButton:SetChecked(EnRT_FelhoundsSargerasEnabled)
end)

InterfaceOptions_AddCategory(EnRT_FelhoundsSargerasOptions)